Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Java™ Platform Standard Ed. 6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3c.dom
Interface DOMImplementationList

    public interface DOMImplementationList

The `DOMImplementationList` interface provides the abstraction of an ordered collection of DOM implementations, without defining or constraining how this collection is implemented. The items in the `DOMImplementationList` are accessible via an integral index, starting from 0.

See also the Document Object Model (DOM) Level 3 Core Specification.

Since:
  DOM Level 3

Method Summary
`int` | `getLength()` The number of `DOMImplementation`s in the list.
`DOMImplementation` | `item(int index)` Returns the `index`th item in the collection.

Method Detail

### item

    DOMImplementation item(int index)

  Returns the `index`th item in the collection. If `index` is greater than or equal to the number of `DOMImplementation`s in the list, this returns `null`.

  Parameters:
    `index` - Index into the collection.
  Returns:
    The `DOMImplementation` at the `index` th position in the `DOMImplementationList`, or `null` if that is not a valid index.

### getLength

    int getLength()

  The number of `DOMImplementation`s in the list. The range of valid child node indices is 0 to `length-1` inclusive.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Java™ Platform Standard Ed. 6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2009 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.